MMEvents.createStructures(event => {
    event.create("mm:hephaestus_forge_structure")
        .controllerId("mm:hephaestus_forge")
        .name("Hephaestus")
        .layout(a => {
            a.layer([
                "           ",
                "           ",
                "  1     1  ",
                "           ",
                "           ",
                "           ",
                "           ",
                "           ",
                "  1     1  ",
                "           ",
                "           "
                ]).layer([
                "           ",
                "           ",
                "  1     1  ",
                "           ",
                "           ",
                "           ",
                "           ",
                "           ",
                "  1     1  ",
                "           ",
                "           "
                ]).layer([
                "           ",
                "           ",
                "  1     1  ",
                "   2   2   ",
                "           ",
                "     A     ",
                "           ",
                "   2   2   ",
                "  1     1  ",
                "           ",
                "           "
                ]).layer([
                "3333   3333",
                "34433333443",
                "34544C44543",
                "33454445833",
                " 344454443 ",
                " 364555473 ",
                " 344454443 ",
                "33D54445933",
                "34544B44543",
                "34433333443",
                "3333   3333"
                
                ]).key("1", {
                block: "forbidden_arcanus:arcane_polished_darkstone_pillar"
                }).key("2", {
                block: "forbidden_arcanus:darkstone_pedestal"
                }).key("3", {
                block: "forbidden_arcanus:polished_darkstone_stairs"
                }).key("4", {
                block: "forbidden_arcanus:polished_darkstone"
                }).key("5", {
                block: "forbidden_arcanus:chiseled_arcane_polished_darkstone"
                }).key("6", {
                block: "mm:item_hephaestus_forge_input"
                }).key("7", {
                block: "mm:fluid_blood_input"
                }).key("8", {
                block: "mm:fluid_aureal_input"
                }).key("9", {
                block: "mm:fluid_xp_input"
                }).key("A", {
                block: "forbidden_arcanus:hephaestus_forge"
                }).key("B", {
                block: "mm:energy_hephaestus_forge_input"
                }).key("D", {
                block: "mm:item_hephaestus_forge_output"
           })
           }) 
        })